/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.internal.backend.impl;
/**
 * 
 * @author roxana
 *
 */
public class OpenDHTVanishBackendDefaults {
	public static final String OPENDHT_BACKEND_CONFIGURATION_FILE =
		"opendht-vanish.properties";
	
	public static final String CONF_VANISH_BACKEND_OPENDHTIMPL_DHTINDEXLEN =
		"vanish.internal.backend.opendhtimpl.dhtindexlen";
	public static final int CONF_VANISH_BACKEND_OPENDHTIMPL_DHTINDEXLEN_DEFAULT =
		20;
	
	public static final String CONF_VANISH_BACKEND_OPENDHTIMPL_OPERATION_TIMEOUT =
		"vanish.internal.backend.opendhtimpl.operationtimeout_s";
	public static final int CONF_VANISH_BACKEND_OPENDHTIMPL_OPERATION_TIMEOUT_DEFAULT =
		90;
	
	public static final String CONF_VANISH_BACKEND_OPENDHTIMPL_SERVER_URL =
		"vanish.internal.backend.opendhtimpl.serverurl";
	public static final String CONF_VANISH_BACKEND_OPENDHTIMPL_SERVER_URL_DEFAULT =
		"http://vanish.cs.washington.edu/vanish.gateways";
	
	public static final String CONF_VANISH_BACKEND_OPENDHTIMPL_REFRESH_LIST_INTERVAL =
		"vanish.internal.backend.opendhtimpl.refreshlistinterval_min";
	public static final int CONF_VANISH_BACKEND_OPENDHTIMPL_REFRESH_LIST_INTERVAL_DEFAULT =
		30;  // every 30 minutes.
	
	public static final int OPENDHT_GATEWAY_PORT = 5851;
	
}
