/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.internal;

import edu.washington.cs.vanish.internal.metadata.Metadata;
/**
 * 
 * @author roxana
 *
 */
public class MetadataEncapsulatedVanishException extends VanishException {
	private static final long serialVersionUID = 8864925169982452119L;

	private Metadata metadata;
	
	public MetadataEncapsulatedVanishException(Throwable t, Metadata meta) {
		super(t.getMessage(), t);
		this.metadata = meta;
	}
	
	public Metadata getMetadata() { return metadata; }
}
