/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.internal.impl;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Arrays;
/**
 * 
 * @author roxana
 *
 */
public class VanishUtil {
	// Must not throw an exception.
	public static void cleanSensitiveData(byte[] key) {
		if (key == null) return;  // nothing to do.
		// TODO(roxana): Implement.
		Arrays.fill(key, (byte)0);
	}
	
	// Must not throw an exception.
	public static void cleanSensitiveData(OutputStream os) {
		if (os == null) return;  // nothing to do.

		try {
			// TODO(roxana): How to delete the in-memory buffers, etc? Can we??
		} catch(Exception e) {
		} finally {
			try { os.close(); }
			catch (IOException e) { e.printStackTrace(); }
		}
	}
	
	// Must not throw an exception.
	public static void cleanSensitiveData(InputStream is) {
		if (is == null) return;  // nothing to do.

		try {
			// TODO(roxana): How to delete the in-memory buffers, etc? Can we??
		} catch(Exception e) {
		} finally {
			try { is.close(); }
			catch (IOException e) { e.printStackTrace(); }
		}
	}
	
}
