/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

/**
 * 
 */
package edu.washington.cs.vanish.internal.metadata;


/**
 * @author levya
 * 
 */
public class VDOResult extends Mappable {

	private final byte[] data;
	private final int retrieved;

	public VDOResult(byte[] data, int retrieved) {
		this.data = data;
		this.retrieved = retrieved;

	}

	public byte[] getData() {
		return data;
	}

	public int getRetrieved() {
		return retrieved;
	}

}
