/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.util;
/**
 * Time module.
 * 
 * Introduced only to make testing easier.
 * 
 * @author roxana
 */
public class VanishTime {
	public long currentTimeMillis() {
		return System.currentTimeMillis();
	}
	
	public long getTimePlusMillis(long timestamp, long added_millis) {
		return timestamp + added_millis;
	}
	
	public long getCurrentTimePlusMillis(long added_millis) {
		return getTimePlusMillis(currentTimeMillis(), added_millis);
	}
}
