/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.apps.vanishgmail;

import edu.washington.cs.vanish.apps.VanishClientImpl;
import edu.washington.cs.vanish.conf.VanishConfiguration;
import edu.washington.cs.vanish.logging.VanishLogger;

/**
 * Adds another type of operation, which is decapsulate-and-then-refresh.
 * This is used by a plugin that wants its email to be refreshed every time
 * its email is being read. In this way, the email will remain alive for as
 * long as it is being read, but if not read for a period of time, it will
 * self-destruct.
 * 
 * @author roxana
 */
public class PluginClient extends VanishClientImpl {
	//TODO(alevy): this class does not apply anymore

	public PluginClient(VanishConfiguration CONF, VanishLogger log) {
		super(CONF, log);
	}
}
