/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.internal.crypto;

import edu.washington.cs.vanish.internal.VanishException;

/**
 * Exception type for the Shamir Secret Sharing module.
 * @author roxana
 */
public class CryptoVanishException extends VanishException {
	private static final long serialVersionUID = -8076406537689125675L;
	
	public CryptoVanishException(String msg) { super(msg); }
	
	public CryptoVanishException(String msg, Throwable t) { super(msg, t); }
}
