/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.stats;

/**
 * Implemented by the all stats classes.
 * @author roxana
 */
public interface VanishStats {
	public long getDBKeysBlocked();

	public long getDBValuesStored();
	
	public long getIncomingRequests();

	public String getString();

	public long getTotalFindValuesReceived();

	public long getTotalKeyBlocksReceived();

	public long getTotalStoresReceived();
	
	public long getEstimatedDHTSize();
}
