/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.system;

import java.io.OutputStream;

import edu.washington.cs.vanish.internal.metadata.Metadata;

/**
 * 
 * @author roxana
 *
 */
public interface VanishRefreshTaskFactory {
	public VanishRefreshTask createRefreshTask(
			VanishInterface vanish_system_ptr,
			OutputStream encrypted_data_os,
			Metadata metadata,
			long creation_date,
			long timeout_date,
            long refresh_interval);
}
