/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.util;
/**
 * 
 * @author roxana
 *
 */
public interface Constants {
	public static final long SECONDS = 1000L;  // millis
	public static final long MINUTES = 60L * SECONDS;
	public static final long HOURS   = 60L * MINUTES;
	public static final long DAYS    = 24L * HOURS; 

	public static final long KB = 1024L;  // bytes
	public static final long MB = 1024L * KB;
	public static final long GB = 1024L * MB;
}
