/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.util;

import edu.washington.cs.vanish.internal.VanishException;

/**
 * 
 * @author roxana
 */
public interface Initializable {
	public void init() throws VanishException;
	
	public boolean isInitialized();
	
	public void stop() throws VanishException;
}
