/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.util;

import edu.washington.cs.vanish.conf.VanishConfiguration;
import edu.washington.cs.vanish.internal.InvalidArgumentVanishException;
/**
 * 
 * @author roxana
 *
 */
public interface RefreshableConfig<T extends RefreshableParams> {
	public T getRenewedParamsFromConfig(VanishConfiguration config)
	throws InvalidArgumentVanishException;
	
	public void setParams(T params);
}
