/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.util;

import org.apache.commons.configuration.ConfigurationException;
import org.apache.log4j.Logger;

import edu.washington.cs.vanish.conf.VanishConfiguration;
/**
 * 
 * @author roxana
 */
public class VanishUtils {   
	public static Logger getLogger(String who) {
		return Logger.getLogger("vanish." + who);
	}
	
	public static VanishConfiguration getConfig(String config_file_name) {
		try {
			return new VanishConfiguration(config_file_name);
		} catch (ConfigurationException e) {
			getLogger("system").warn("Failed to read configuration file " +
					"vanish.properties; using the defaults");
		}
		return new VanishConfiguration();
	}
}
