/*
 * This code is subject to an academic license contained in the LICENSE-vanish.txt
 * file that can be found in the root directory of Vanish.
 */

package edu.washington.cs.vanish.apps;
/**
 * 
 * @author roxana
 *
 */
class WebappDefaults {
	public static final String WEBAPPS_CONFIG_FILE = "webapps.properties";
	
	public static final String CONF_VANISH_APPS_NUMRPCTRIES =
		"vanish.apps.numrpctries";
	public static final int CONF_VANISH_APPS_NUMRPCTRIES_DEFAULT = 1;
	
	public static final String CONF_VANISH_APPS_RPCTIMEOUT_S =
		"vanish.apps.rpctimeout_s";
	public static final int CONF_VANISH_APPS_RPCTIMEOUT_S_DEFAULT = 600;
	
	public static final String CONF_VANISH_APPS_VANISHURL =
		"vanish.apps.vanishurl";
	public static final String CONF_VANISH_APPS_VANISHURL_DEFAULT = 
		"http://localhost:" +
		edu.washington.cs.vanish.util.Defaults.CONF_VANISH_PORT_DEFAULT +
		"/xmlrpc";
	
	public static final String CONF_VANISH_APPS_CLIENTCLASS =
		"vanish.apps.clientclass";
	public static final String CONF_VANISH_APPS_CLIENTCLASS_DEFAULT =
		VanishClientImpl.class.getName();
	
	public static final String CONF_VANISH_APPS_INSTALLATION_ID =
		"vanish.apps.vanishid";
	// No default value. Must be generated automatically. Shouldn't be edited
	// in the config file.
}
